## Make.x
#
# X server and clients

x: pcre mesalib perl freetype pkgconfig libxslt fontconfig gperf
	touch $(MADE)/x

x: xdata xorg-server xfonts xapps xdrivers xlibs

xlibs: libdrm libfontenc libICE libSM libX11 libXau libXaw libxcb \
		libXcomposite libXcursor libXdamage libXdmcp libXext \
		libXfixes libXfont libXfontcache libXft libXi libXinerama \
		libxkbfile libxkbui libXmu libXp libXpm libXrandr libXrender \
		libXScrnSaver libXt libXtst libXv libXvMC libXxf86dga \
		libXxf86misc libXxf86vm
	touch $(MADE)/xlibs

xfonts: font-adobe-utopia-type1 font-bh-ttf font-bh-type1 \
		font-bitstream-type1 font-cursor-misc font-ibm-type1 \
		font-misc-misc font-xfree86-type1 font-util
	touch $(MADE)/xfonts

xapps: iceauth imake mkfontdir mkfontscale setxkbmap twm xauth xdpyinfo xhost \
		xinit xorg-scripts xprop xrdb xset xsetroot xterm xtrans
	touch $(MADE)/xapps

xdata: rgb xbitmaps xkbdata
	touch $(MADE)/xdata

xdrivers: xf86-video-nv xf86-video-tdfx xf86-video-ati xf86-input-mouse \
		xf86-input-keyboard
	touch $(MADE)/xdrivers

# In 1.1.99.903 xorgcfg requires xaw7
xorg-server: util-macros xf86driproto libdrm glproto randrproto \
	renderproto fixesproto damageproto xcmiscproto xextproto \
	xproto xtrans xf86miscproto xf86vidmodeproto xf86bigfontproto \
	scrnsaverproto bigreqsproto resourceproto fontsproto \
	inputproto xf86dgaproto videoproto compositeproto trapproto \
	recordproto resourceproto xineramaproto evieext libxkbfile \
	libXfont libXau libfontenc \
	libxkbui libXxf86misc libXxf86vm libXaw libXmu libXt libXpm \
	libXext libX11 mesalib libdrm
	$(MAKE) PROG=$@ JTL_CONFIG="--disable-xorgcfg" _xgnu

##
# Fonts

bdftopcf: util-macros libXfont perl
	$(MAKE) PROG=$@ _xgnu

font-adobe-utopia-type1: util-macros mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-bh-ttf: util-macros mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-bh-type1: util-macros mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-bitstream-type1: util-macros mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-cursor-misc: util-macros bdftopcf mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-ibm-type1: util-macros mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-misc-misc: util-macros bdftopcf font-util mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-xfree86-type1: util-macros mkfontdir mkfontscale
	$(MAKE) PROG=$@ _xgnu

font-util: util-macros
	$(MAKE) PROG=$@ _xgnu

##
# Data

rgb: util-macros
	$(MAKE) PROG=$@ _xgnu

xbitmaps: util-macros
	$(MAKE) PROG=$@ _xgnu

xkbdata: util-macros xkbcomp
	$(MAKE) PROG=$@ _xgnu

##
# Apps

iceauth: util-macros
	$(MAKE) PROG=$@ _xgnu

imake: util-macros
	$(MAKE) PROG=$@ _xgnu

mkfontdir: util-macros
	$(MAKE) PROG=$@ _xgnu

mkfontscale: util-macros
	$(MAKE) PROG=$@ _xgnu

setxkbmap: util-macros libxkbfile libX11
	$(MAKE) PROG=$@ _xgnu

twm: util-macros
	$(MAKE) PROG=$@ _xgnu

xauth: util-macros libX11 libXau libXext libXmu
	$(MAKE) PROG=$@ _xgnu

xdpyinfo: util-macros libX11 libxkbfile libXext libXxf86vm libXxf86dga \
		libXxf86misc libXrender libXp libXtst
	$(MAKE) PROG=$@ _xgnu

xhost: util-macros
	$(MAKE) PROG=$@ _xgnu

xkbcomp: util-macros libX11 libxkbfile
	$(MAKE) PROG=$@ _xgnu

xinit: util-macros libX11
	$(MAKE) PROG=$@ _xgnu

xorg-scripts: util-macros
	$(MAKE) PROG=$@ _xgnu

xset: util-macros
	$(MAKE) PROG=$@ _xgnu

xprop: util-macros
	$(MAKE) PROG=$@ _xgnu

xrdb: util-macros
	$(MAKE) PROG=$@ _xgnu

xsetroot: util-macros libX11 libXmu xbitmaps
	$(MAKE) PROG=$@ _xgnu

xterm: util-macros libXft imake pcre libX11 libXt libXaw libXmu libXext \
		libxkbui libxkbfile
	$(MAKE) PROG=$@ JTL_CONFIG="--enable-wide-chars --enable-setuid=root" \
		 _xgnu

xtrans: util-macros
	$(MAKE) PROG=$@ _xgnu

##
# Drivers

xf86-input-keyboard: xorg-server
	$(MAKE) PROG=$@ _xgnu

xf86-input-mouse: xorg-server
	$(MAKE) PROG=$@ _xgnu

xf86-video-nv: xorg-server
	$(MAKE) PROG=$@ _xgnu

xf86-video-tdfx: xorg-server
	$(MAKE) PROG=$@ _xgnu

xf86-video-ati: xorg-server
	$(MAKE) PROG=$@ _xgnu

##
# Misc

util-macros:
	$(MAKE) PROG=$@ _xgnu

xorg-cf-files: util-macros
	$(MAKE) PROG=$@ _xgnu

##
# Libs

evieext: util-macros
	$(MAKE) PROG=$@ _xgnu

libdrm: util-macros
	$(MAKE) PROG=$@ _xgnu

libfontenc: util-macros freetype xproto
	$(MAKE) PROG=$@ _xgnu

libICE: util-macros xproto xtrans
	$(MAKE) PROG=$@ _xgnu

libSM: util-macros libICE xproto
	$(MAKE) PROG=$@ _xgnu

libpthread-stubs:
	$(MAKE) PROG=$@ _xgnu

libX11: util-macros xtrans libXau xcmiscproto bigreqsproto xextproto \
		libXdmcp kbproto inputproto libxcb
	$(MAKE) PROG=$@ _xgnu

libXau: util-macros xproto
	$(MAKE) PROG=$@ _xgnu

# Dumbass 1.0.2 can't find pkg-config if --disable-xaw6
libXaw: util-macros libXp pkgconfig libXmu libXt libX11 libXext libXpm
	$(MAKE) PROG=$@ JTL_CONFIG="$(JTL_CONFIG) --enable-xaw8 --disable-xaw7 --disable-xaw6" PKG_CONFIG=$(PREFIX)/bin/pkg-config _xgnu

libxcb: util-macros xcb-proto libpthread-stubs libxslt
	$(MAKE) PROG=$@ _xgnu

xcb-util: libxcb gperf
	$(MAKE) PROG=$@ _xgnu

libXcomposite: util-macros
	$(MAKE) PROG=$@ _xgnu

libXcursor: util-macros fixesproto libXfixes
	$(MAKE) PROG=$@ _xgnu

libXdamage: util-macros
	$(MAKE) PROG=$@ _xgnu

libXdmcp: util-macros xproto
	$(MAKE) PROG=$@ _xgnu

libXext: util-macros xproto libX11 xextproto libXau
	$(MAKE) PROG=$@ _xgnu

libXfixes: util-macros
	$(MAKE) PROG=$@ _xgnu

libXfont: util-macros freetype fontcacheproto libfontenc fontsproto xtrans
	$(MAKE) PROG=$@ _xgnu

libXfontcache: libXfont
	$(MAKE) PROG=$@ _xgnu

libXft: util-macros freetype fontconfig
	$(MAKE) PROG=$@ _xgnu

libXi: util-macros xproto libX11 xextproto libXext inputproto
	$(MAKE) PROG=$@ _xgnu

libXinerama: util-macros
	$(MAKE) PROG=$@ _xgnu

libxkbfile: util-macros kbproto libX11
	$(MAKE) PROG=$@ _xgnu

libxkbui: util-macros libX11 libXt libxkbfile
	$(MAKE) PROG=$@ _xgnu

libXmu: util-macros libXext libXt xextproto
	$(MAKE) PROG=$@ _xgnu

libXp: util-macros printproto
	$(MAKE) PROG=$@ _xgnu

libXpm: util-macros
	$(MAKE) PROG=$@ _xgnu

libXrandr: util-macros
	$(MAKE) PROG=$@ _xgnu

libXrender: util-macros renderproto
	$(MAKE) PROG=$@ _xgnu

libXScrnSaver: util-macros
	$(MAKE) PROG=$@ _xgnu

libXt: util-macros libSM libX11
	$(MAKE) PROG=$@ _xgnu

libXtst: util-macros
	$(MAKE) PROG=$@ _xgnu

libXv: util-macros libX11 xextproto libXext videoproto
	$(MAKE) PROG=$@ _xgnu

libXvMC: util-macros libXv videoproto xextproto libXext libX11
	$(MAKE) PROG=$@ _xgnu

libXxf86dga: util-macros
	$(MAKE) PROG=$@ _xgnu

libXxf86misc: util-macros xf86miscproto libX11 xextproto libXext
	$(MAKE) PROG=$@ _xgnu

libXxf86vm: util-macros xproto libX11 xextproto libXext xf86vidmodeproto
	$(MAKE) PROG=$@ _xgnu

##
# Protocol

randrproto: util-macros
	$(MAKE) PROG=$@ _xgnu

damageproto: util-macros
	$(MAKE) PROG=$@ _xgnu

renderproto: util-macros
	$(MAKE) PROG=$@ _xgnu

fixesproto: util-macros
	$(MAKE) PROG=$@ _xgnu

inputproto: util-macros
	$(MAKE) PROG=$@ _xgnu

kbproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xcmiscproto: util-macros
	$(MAKE) PROG=$@ _xgnu

bigreqsproto: util-macros
	$(MAKE) PROG=$@ _xgnu

glproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xextproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xf86driproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xf86dgaproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xf86miscproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xf86vidmodeproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xf86bigfontproto: util-macros
	$(MAKE) PROG=$@ _xgnu

scrnsaverproto: util-macros
	$(MAKE) PROG=$@ _xgnu

recordproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xineramaproto: util-macros
	$(MAKE) PROG=$@ _xgnu

xcb-proto: util-macros
	$(MAKE) PROG=$@ _xgnu

resourceproto: util-macros
	$(MAKE) PROG=$@ _xgnu

fontsproto: util-macros
	$(MAKE) PROG=$@ _xgnu

fontcacheproto: util-macros
	$(MAKE) PROG=$@ _xgnu

compositeproto: util-macros
	$(MAKE) PROG=$@ _xgnu

trapproto: util-macros
	$(MAKE) PROG=$@ _xgnu

videoproto: util-macros
	$(MAKE) PROG=$@ _xgnu

printproto: util-macros
	$(MAKE) PROG=$@ _xgnu
